¿Cómo agregar una nueva versión de node.js para el administrador de Node.js en Plesk?

Plesk Onyx soporta Node.js. My Node.js Manager (de las extensiones de Plesk) actualmente admite dos versiones de nodejs.

Instalar una nueva versión con el administrador de paquetes centos yum no cambió nada.

Copiar una de las versiones, que están instaladas y colocarlas en una nueva carpeta, por ejemplo, 4 / en la estructura de directorios utilizada por el Administrador de Node.js tampoco dio lugar a resultados.

Necesito la versión Nodo 4.6.2 para las aplicaciones Meteor 1.4.x.

Gracias.

introduzca la descripción de la imagen aquí

Habilitar el soporte de nodo en Plesk Onyx:

  1. Instale el “soporte de nodo” simplemente desde la interfaz de Plesk de “actualizaciones y actualizaciones”.
  2. Vaya a la página “Extensión de nodo” para habilitar / deshabilitar las versiones de nodo que necesita

En caso de que necesite versiones de nodo adicionales que no vienen con la instalación de soporte de nodo predeterminada:

  1. Instale el administrador de versiones de N ode en su servidor
  2. Instale las versiones que necesita, por ejemplo, nvm install v4.8.4
  3. Copie y pegue la versión del nodo en plesk cp -R ~/.nvm/versions/node/v4.8.4/ /opt/plesk/node/
  4. Luego notifique a su plesk sobre su instalación plesk sbin nodemng register /opt/plesk/node/v4.8.4/bin/node
  5. Vaya a la página de la extensión de su nodo donde se enumeran todas las versiones de los nodos, presione actualizar y voilá

Si tiene problemas para instalar los paquetes NPM a través de Plesk, hágalo dentro del shell SSH con la versión de nodo dedicada que necesita para meteor.

  1. nvm use 4.8.4
  2. cd /bundle/programs/server
  3. npm install
  4. Vaya a la GUI de Plesk, seleccione su dominio, haga clic en node.js
  5. Configura tu aplicación y ejecútala.

Abrí un hilo dedicado a esto para ayudar a las personas a encontrarlo.

Instalar versiones de nodo adicionales en Plesk Onyx

No pude agregar una versión aleatoria que descargué manualmente a mi entorno plesk.

Pero con la búsqueda con yum (palabra clave de búsqueda de yum) para los nombres de paquetes, ese nodo incluido fue capaz de encontrar: “plesk-nodejs4.x86_64”

Al instalarlo se resolvieron los problemas y la versión 4.6.2 aparece en el administrador Node.js de plesk ahora.